OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Python 2.3 & Mysqldb Module
dixie
post Feb 8 2005, 02:08 PM
Post #1





Group: Members
Posts: 23
Joined: 16-December 04
From: italy, camogli (ge)
Member No.: 5,937



Hi at all, just like title.
Where can I found the mysql module for zaurus?

Any suggestion will be appreciated.

Paolo
Go to the top of the page
 
+Quote Post
soundwave106
post Feb 9 2005, 09:26 PM
Post #2





Group: Members
Posts: 108
Joined: 29-November 04
Member No.: 5,667



Looks like there is one here.

SQLite is also available on most feeds.
Go to the top of the page
 
+Quote Post
kopsis
post Feb 10 2005, 04:49 AM
Post #3





Group: Members
Posts: 329
Joined: 1-July 04
Member No.: 3,880



To use MySQL with Python on the Zaurus you need two things: a MySQL database server and the pymysql module for Python. I'm not sure which you're looking for. Soundwave's post will get you to a version of the MySQL server that runs on the Zaurus. You also have the option of connecting via a network to a MySQL server running on another system.

For the pymsql module, you'll need to get one that matches your version of Python. My Python 2.4 image for Sharp ROMs (I really need a short catchy name for that beast smile.gif ) already includes pymysql. If you're using the "Python for ARM-Linux" packages from www.vanille.de, I suspect there is a pymysql package in their feeds (however the site is "offline" right now as it appears they're preparing to release Python 2.4 packages). If you're using some other version of Python for the Zaurus, good luck ... you'll need to talk the maintainer into building and releasing a matching pymysql module.
Go to the top of the page
 
+Quote Post
dixie
post Feb 10 2005, 09:25 AM
Post #4





Group: Members
Posts: 23
Joined: 16-December 04
From: italy, camogli (ge)
Member No.: 5,937



QUOTE(kopsis @ Feb 10 2005, 12:49 PM)
For the pymsql module, you'll need to get one that matches your version of Python. My Python 2.4 image for Sharp ROMs (I really need a short catchy name for that beast smile.gif ) already includes pymysql. If you're using the "Python for ARM-Linux" packages from www.vanille.de, I suspect there is a pymysql package in their feeds (however the site is "offline" right now as it appears they're preparing to release Python 2.4 packages). If you're using some other version of Python for the Zaurus, good luck ... you'll need to talk the maintainer into building and releasing a matching pymysql module.
*


Tks, I'use Python 2.3.
I'll trying to use your new version.
The command is "import pymysql" I suppose?

Tks a lot

Paolo
Go to the top of the page
 
+Quote Post
gtJormungand
post May 12 2005, 03:11 PM
Post #5





Group: Members
Posts: 38
Joined: 21-September 04
Member No.: 4,682



I think it's "import MySQLdb"
Go to the top of the page
 
+Quote Post
phunkhy
post May 27 2005, 05:25 AM
Post #6





Group: Members
Posts: 25
Joined: 20-June 04
From: Berlin, Germany
Member No.: 3,761



I was also searching for it very much. Finally I found it on the unstable feed of pdaXrom:

http://www.pdaxrom.org/ipk_feed.php?menuid=11#qlP
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 22nd December 2014 - 09:46 AM